using Microsoft.Extensions.DependencyInjection;
using Modules.Library.Application.Services;
using Modules.Rating.Api;

namespace Modules.Library.Application;

public static class ServiceCollectionExtensions
{
    public static IServiceCollection AddApplicationServices(this IServiceCollection services)
    {
        //services.AddScoped<GenreService>();
        //services.AddScoped<LanguageService>();
        //services.AddScoped<AnimeTitleService>();
        //services.AddScoped<AnimeSeasonService>();
        //services.AddScoped<AnimeEpisodeService>();

        //services.AddScoped<CommonPropertiesService>();
        services.AddScoped<MediaInfoService>();
        services.AddHttpClient();

        services.AddMediatR(q => q.RegisterServicesFromAssemblies(AppDomain.CurrentDomain.GetAssemblies()));

        //services.AddScoped<AnimeEpisodeService>();
        return services;
    }
}